const plugins = [
  '@babel/plugin-syntax-dynamic-import',
  '@babel/plugin-transform-runtime'
]
if (process.env.NODE_ENV === 'production') {
  plugins.push('transform-remove-console')
}

module.exports = {
  presets: [
    '@vue/cli-plugin-babel/preset',
    ['@babel/preset-env', {
      useBuiltIns: 'entry',
      corejs: 3,
      targets: 'IE 11'
    }]
  ],
  plugins
}
